SplitPaneUI (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: SplitPaneUI
Keywords: javax.swing.plaf.SplitPaneUI class

# Class SplitPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SplitPaneUI

Direct Known Subclasses:
  `BasicSplitPaneUI, MultiSplitPaneUI`

public abstract class SplitPaneUI extends ComponentUI
Pluggable look and feel interface for JSplitPane.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SplitPaneUI()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `finishedPaintingChildren(JSplitPane jc, Graphics g)`
  Messaged after the JSplitPane the receiver is providing the look and feel for paints its children.
  `abstract int`
  `getDividerLocation(JSplitPane jc)`
  Returns the location of the divider.
  `abstract int`
  `getMaximumDividerLocation(JSplitPane jc)`
  Returns the maximum possible location of the divider.
  `abstract int`
  `getMinimumDividerLocation(JSplitPane jc)`
  Returns the minimum possible location of the divider.
  `abstract void`
  `resetToPreferredSizes(JSplitPane jc)`
  Messaged to relayout the JSplitPane based on the preferred size of the children components.
  `abstract void`
  `setDividerLocation(JSplitPane jc, int location)`
  Sets the location of the divider to location.

  ### Methods declared in class ComponentUI

  `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`
  Modifier and Type
  Method
  Description
  `boolean`
  `contains(JComponent c, int x, int y)`
  Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
  `static ComponentUI`
  `createUI(JComponent c)`
  Returns an instance of the UI delegate for the specified component.
  `Accessible`
  `getAccessibleChild(JComponent c, int i)`
  Returns the `i`th `Accessible` child of the object.
  `int`
  `getAccessibleChildrenCount(JComponent c)`
  Returns the number of accessible children in the object.
  `int`
  `getBaseline(JComponent c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(JComponent c)`
  Returns an enum indicating how the baseline of the component changes as the size changes.
  `Dimension`
  `getMaximumSize(JComponent c)`
  Returns the specified component's maximum size appropriate for the look and feel.
  `Dimension`
  `getMinimumSize(JComponent c)`
  Returns the specified component's minimum size appropriate for the look and feel.
  `Dimension`
  `getPreferredSize(JComponent c)`
  Returns the specified component's preferred size appropriate for the look and feel.
  `void`
  `installUI(JComponent c)`
  Configures the specified component appropriately for the look and feel.
  `void`
  `paint(Graphics g, JComponent c)`
  Paints the specified component appropriately for the look and feel.
  `void`
  `uninstallUI(JComponent c)`
  Reverses configuration which was done on the specified component during `installUI`.
  `void`
  `update(Graphics g, JComponent c)`
  Notifies this UI delegate that it is time to paint the specified component.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SplitPaneUI

    protected SplitPaneUI()
    Constructor for subclasses to call.

- ## Method Details

  - ### resetToPreferredSizes

    public abstract void resetToPreferredSizes(JSplitPane jc)
    Messaged to relayout the JSplitPane based on the preferred size of the children components.
    Parameters:
      `jc` - a `JSplitPane`

  - ### setDividerLocation

    public abstract void setDividerLocation(JSplitPane jc, int location)
    Sets the location of the divider to location.
    Parameters:
      `jc` - a `JSplitPane`
      `location` - an integer specifying the location of the divider

  - ### getDividerLocation

    public abstract int getDividerLocation(JSplitPane jc)
    Returns the location of the divider.
    Parameters:
      `jc` - a `JSplitPane`
    Returns:
      an integer specifying the location of the divider

  - ### getMinimumDividerLocation

    public abstract int getMinimumDividerLocation(JSplitPane jc)
    Returns the minimum possible location of the divider.
    Parameters:
      `jc` - a `JSplitPane`
    Returns:
      and integer specifying the minimum location of the divider

  - ### getMaximumDividerLocation

    public abstract int getMaximumDividerLocation(JSplitPane jc)
    Returns the maximum possible location of the divider.
    Parameters:
      `jc` - a `JSplitPane`
    Returns:
      an integer specifying the maximum location of the divider

  - ### finishedPaintingChildren

    public abstract void finishedPaintingChildren(JSplitPane jc, Graphics g)
    Messaged after the JSplitPane the receiver is providing the look and feel for paints its children.
    Parameters:
      `jc` - a `JSplitPane`
      `g` - the `Graphics` context